Create a file upload session

The method allows you to create a session to upload a file or version of a file. If the method is used to upload a new version of a file, then the uploaded version will automatically become the active version of the file. The request must be sent to the file service host.

Not sure what your drive name is?

Read a short article to find out.

Limitations

The method is available to integrations that have scope set to Access to files.

Data type header when the request is successful/ in case of an error
Content-Type: application/json

Response parameters

Parameter Data type Description
session_id int Session ID
upload_url string URL the first part of the file should be uploaded to
max_file_size int Maximum file size
max_part_size int Maximum size of the uploaded part of a file
Body Params
string
required

Name of the uploaded file

int32
required

Size of the uploaded file (in bytes)

string

The UUID of the file the new version of the file is being uploaded for. If UUID is not specified, a new file will be created.

string

MIME type of file

boolean

When this flag is set, a preview will be generated for the file.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json